# Uses of Class
org.springframework.web.servlet.view.AbstractUrlBasedView

Packages that use AbstractUrlBasedView
Package
Description
org.springframework.web.servlet.view
Provides standard View and ViewResolver implementations, including abstract base classes for custom implementations.
org.springframework.web.servlet.view.document
Support classes for document generation, providing View implementations for PDF and Excel.
org.springframework.web.servlet.view.freemarker
Support classes for the integration of FreeMarker as Spring web view technology.
org.springframework.web.servlet.view.groovy
Support classes for the integration of Groovy Templates as Spring web view technology.
org.springframework.web.servlet.view.script
Support classes for views based on the JSR-223 script engine abstraction.
org.springframework.web.servlet.view.xslt
Support classes for XSLT, providing a View implementation for XSLT stylesheets.

## Uses of AbstractUrlBasedView in org.springframework.web.servlet.view

Subclasses of AbstractUrlBasedView in org.springframework.web.servlet.view
Modifier and Type
Class
Description
`class`
`AbstractTemplateView`
Adapter base class for template-based view technologies such as FreeMarker, with the ability to use request and session attributes in their model and the option to expose helper objects for Spring's FreeMarker macro library.
`class`
`InternalResourceView`
Wrapper for a JSP or other resource within the same web application.
`class`
`JstlView`
Specialization of `InternalResourceView` for JSTL pages, i.e.
`class`
`RedirectView`
View that redirects to an absolute, context relative, or current request relative URL.
Methods in org.springframework.web.servlet.view that return AbstractUrlBasedView
Modifier and Type
Method
Description
`protected AbstractUrlBasedView`
AbstractTemplateViewResolver.`buildView(String viewName)`
`protected AbstractUrlBasedView`
InternalResourceViewResolver.`buildView(String viewName)`
`protected AbstractUrlBasedView`
UrlBasedViewResolver.`buildView(String viewName)`
Creates a new View instance of the specified view class and configures it.
`protected AbstractUrlBasedView`
InternalResourceViewResolver.`instantiateView()`
`protected AbstractUrlBasedView`
UrlBasedViewResolver.`instantiateView()`
Instantiate the specified view class.
Methods in org.springframework.web.servlet.view with parameters of type AbstractUrlBasedView
Modifier and Type
Method
Description
`protected View`
UrlBasedViewResolver.`applyLifecycleMethods(String viewName, AbstractUrlBasedView view)`
Apply the containing `ApplicationContext`'s lifecycle methods to the given `View` instance, if such a context is available.

## Uses of AbstractUrlBasedView in org.springframework.web.servlet.view.document

Subclasses of AbstractUrlBasedView in org.springframework.web.servlet.view.document
Modifier and Type
Class
Description
`class`
`AbstractPdfStamperView`
Abstract superclass for PDF views that operate on an existing document with an AcroForm.

## Uses of AbstractUrlBasedView in org.springframework.web.servlet.view.freemarker

Subclasses of AbstractUrlBasedView in org.springframework.web.servlet.view.freemarker
Modifier and Type
Class
Description
`class`
`FreeMarkerView`
View using the FreeMarker template engine.
Methods in org.springframework.web.servlet.view.freemarker that return AbstractUrlBasedView
Modifier and Type
Method
Description
`protected AbstractUrlBasedView`
FreeMarkerViewResolver.`instantiateView()`

## Uses of AbstractUrlBasedView in org.springframework.web.servlet.view.groovy

Subclasses of AbstractUrlBasedView in org.springframework.web.servlet.view.groovy
Modifier and Type
Class
Description
`class`
`GroovyMarkupView`
An `AbstractTemplateView` subclass based on Groovy XML/XHTML markup templates.
Methods in org.springframework.web.servlet.view.groovy that return AbstractUrlBasedView
Modifier and Type
Method
Description
`protected AbstractUrlBasedView`
GroovyMarkupViewResolver.`instantiateView()`

## Uses of AbstractUrlBasedView in org.springframework.web.servlet.view.script

Subclasses of AbstractUrlBasedView in org.springframework.web.servlet.view.script
Modifier and Type
Class
Description
`class`
`ScriptTemplateView`
An `AbstractUrlBasedView` subclass designed to run any template library based on a JSR-223 script engine.
Methods in org.springframework.web.servlet.view.script that return AbstractUrlBasedView
Modifier and Type
Method
Description
`protected AbstractUrlBasedView`
ScriptTemplateViewResolver.`instantiateView()`

## Uses of AbstractUrlBasedView in org.springframework.web.servlet.view.xslt

Subclasses of AbstractUrlBasedView in org.springframework.web.servlet.view.xslt
Modifier and Type
Class
Description
`class`
`XsltView`
XSLT-driven View that allows for response context to be rendered as the result of an XSLT transformation.
Methods in org.springframework.web.servlet.view.xslt that return AbstractUrlBasedView
Modifier and Type
Method
Description
`protected AbstractUrlBasedView`
XsltViewResolver.`buildView(String viewName)`
`protected AbstractUrlBasedView`
XsltViewResolver.`instantiateView()`